package com.koobietech.eas.service;

import com.koobietech.eas.common.result.PageDataResult;
import com.koobietech.eas.dao.dto.ArchivesDto;
import com.koobietech.eas.mbg.model.EasArcArchives;
import com.koobietech.eas.mbg.model.EasArcTlsStudents;
import com.koobietech.eas.mbg.model.EasSysStudent;
import org.springframework.web.multipart.MultipartFile;

import java.io.InputStream;
import java.util.List;

/**
 * @author lc
 */
public interface EasStuProfileService {
    boolean add(EasArcTlsStudents easArcTlsStudents);

    PageDataResult query(EasArcTlsStudents studentDto);

    boolean update(EasArcTlsStudents studentDto);

    boolean delete(int id);

    boolean importExcel(InputStream inputStream);

    List<EasSysStudent> getAll();

    List<EasSysStudent> getAllOrStudentNumber(String studentNumber);

    List<EasSysStudent> getStudentByKeyword(String keyword);

    ArchivesDto saveUserFile(EasArcTlsStudents easArcTlsStudents, String avatar);

    ArchivesDto upload(MultipartFile file, String studentNumber, String fileType);

    boolean addArchives(EasArcArchives arc);

    boolean delArchives(Integer id);

    String downloadArchives(String studentNumber);
}
